GIT-RENAME-BRANCH(1)

NAME
git-rename-branch - rename local branch and push to remote

SYNOPSIS
git-rename-branch <new-branch> <old-branch>

DESCRIPTION

Rename local branch and push the new branch to remote

OPTIONS

&lt;new-branch&gt;

New branch name

&lt;old-branch&gt;

Old branch whose has to be renamed. This is an optional parameter. If no value is supplied then the current branch will be renamed.

EXAMPLES

$ git rename-branch new-name old-name

$ git rename-branch new-name

AUTHOR
Written by Hozefa Jodiawalla <hozefarules@gmail.com>

REPORTING BUGS
<https://github.com/tj/git-extras/issues>

SEE ALSO
<https://github.com/tj/git-extras>